org.apache.jmeter.protocol.http.proxy

## Class SamplerNameComputer

- java.lang.Object
- - org.apache.jmeter.protocol.http.proxy.SamplerNameComputer

-     public class SamplerNameComputer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamplerNameComputer(boolean numberRequest, String prefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `computeName(HttpRequestHdr request, String path)`
    `String` | `getPrefix()`
    `int` | `getRequestNumber()`
    `protected int` | `incrementRequestNumberAndGet()` Increment request number
    `boolean` | `isNumberRequest()`
    `void` | `setNumberRequest(boolean numberRequest)`
    `void` | `setPrefix(String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SamplerNameComputer

          public SamplerNameComputer(boolean numberRequest,
                                     String prefix)

  - ### Method Detail

    - #### incrementRequestNumberAndGet

          protected int incrementRequestNumberAndGet()

      Increment request number
      Returns:
        int number for created sampler

    - #### computeName

          public String computeName(HttpRequestHdr request,
                                    String path)

    - #### isNumberRequest

          public boolean isNumberRequest()

      Returns:
        the numberRequest

    - #### setNumberRequest

          public void setNumberRequest(boolean numberRequest)

      Parameters:
        `numberRequest` - the numberRequest to set

    - #### getPrefix

          public String getPrefix()

      Returns:
        the prefix

    - #### setPrefix

          public void setPrefix(String prefix)

      Parameters:
        `prefix` - the prefix to set

    - #### getRequestNumber

          public int getRequestNumber()

      Returns:
        the requestNumber

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.